# $Id: group.host.conf,v 1.10 2002/09/27 17:15:56 aleidinger Exp $

##### Groupings for big providers in Germany for detailed reports (city / region groupings etc.)
[grouphosts_germany]
# Germany: T-Online
grouphosts = "\.dip\.t-dialin\.net$",T-Online (Dialins)
grouphosts = "^cw[0-9]*\.([a-zA-Z]*).*?\.srv\.t-online\.de$",T-Online ($1)
grouphosts = "([^.]*)\.t-dialin\.net$",T-Online ($1)
grouphosts = "\.t-ipconnect\.de$",T-Online (t-ipconnect.de)
grouphosts = "([^.]*)\.t-online\.de$",$1.T-Online
# German Universities (avoiding partially resolved)
grouphosts = "([^0-9.][^.]*)\.((?:[^.]*-)?(?:uni|unibw|lrz|tfh|tu|mfh|hu)-[^.]*)\.de$",$1.$2.de
grouphosts = "\.win-ip\.dfn\.de$",win-ip.dfn.de
# Big german Dialins
grouphosts = "\.([^.]*?)[0-9]*\.uunet\.de$",uunet.de + MSN ($1)
grouphosts = "\.(?:cvx-)?([^.]*?)\.ipdial\.viaginterkom\.de$",Viag Interkom ($1)
grouphosts = "([^.]*)\.dial\.surf-callino\.de$",Surf-Callino ($1)
grouphosts = "([^.]*)\.telepassport\.de$",telepassport.de ($1)
grouphosts = "^([^.]*)-.*\.pool\.mediaways\.net$",mediaways.net ($1)
grouphosts = "(.*[^0-9])\.gigabell\.net$",gigabell.net ($1)
grouphosts = "([^.]*)\.tli\.de$",Talkline ($1)
grouphosts = "([^.]*)\.nikoma\.de$",nikoma.de ($1)
grouphosts = "^(?:cache|proxy|cf).*?([a-z]*)(?:pub|vpn)\.arcor-ip\.(de|net)$",Arcor Proxy $1
grouphosts = "^cf.*?([a-z]*)pub\.arcor-ip\.(de|net)$",Arcor Proxy $1
grouphosts = "^dsl.*\.arcor-ip\.(de|net)",Arcor DSL
grouphosts = "\.arcor-ip\.(de|net)$",Arcor
grouphosts = "^([a-z])-dialin-.*\.addcom\.de$",Addcom ($1)
grouphosts = "([^.]*)\.cityline\.net$",cityline.net ($1)
grouphosts = "([^.]*)\.germanynet\.de$",GermanyNet ($1)
grouphosts = "^([a-z].*?)[0-9]*-.*\.mcbone\.net$",Mobilcom ($1)

##### Groupings for some providers from Austria
[grouphosts_austria]
grouphosts = "([^.]*)\.highway\.telekom\.at$",$1.highway.telekom.at
grouphosts = "\.at\.kpnqwest\.net$",at.kpnqwest.net
grouphosts = "\.cosy\.sbg\.ac\.at$",cosy.sbg.ac.at
grouphosts = "\.digimedia\.co\.at$",digimedia.co.at
grouphosts = "([^.]*)\.surfer\.at$",$1.surfer.at
grouphosts = "([^.]*)\.ginko\.net$",$1.ginko.net

##### Groupings for some big american providers
[grouphosts_us]
grouphosts = "\.(.*?)\.aol\.com$",$1.aol.com
grouphosts = "\.bos\.lycos\.com$",bos.lycos.com
grouphosts = "\.(.*).dec.com$",$1.dec.com
grouphosts = "\.([^.]*)\.wave\.home\.com$",$1.wave.home.com
grouphosts = "\.([^.]*)\.([^.]*)\.edu$",$1.$2.edu

##### Miscellaneous small groupings
[grouphosts_misc]
# Netherlands
grouphosts = "\.(.*)\.nl\.home\.com$",$1.nl.home.com

# Belgium
grouphosts = "\.be\.ibm\.net$",be.ibm.net

# Japan
grouphosts = "\.([^.]*)\.([^.]*)\.jp$",$1.$2.jp

# unknown / international big carriers:
grouphosts = "\.tnt[0-9]*\.(?:dial\.)?(.*uu\.net)$",$1

# search engines
# this is to merge old fast-search.net with new fastsearch.net
# as well as avoiding generic "finegrained" grouping
grouphosts = "\.fast-?search\.net$",fastsearch.net

[grouphosts_generic]
# Generic
# Grouping of sub-divided tlds:
grouphosts = "\.([^.]*)\.(com|net|org|ac|edu|co|sch)\.([a-zA-Z]*)$",$1.$2.$3
# Grouping of Hostnames with 3 components
grouphosts = "^[^.]*\.([^.]*\.[a-zA-Z]*)$",$1
# Grouping of Hostnames with 4 components (select one)
# Big groups, few
grouphosts = "^[^1-9].*?\.([^.]*\.[a-zA-Z]*)$",$1
# Small groups, many ("finegrained")
#grouphosts = "^[^1-9].*?\.(.*\.[a-zA-Z]*)$",$1

[grouphosts_ip]
# Grouping IPs
# reduce ip.ip.ip.ip.domain.tld partially-resolved hostnames
# as well as those invalid ip-ip-ip-ip.provider.tld hostnames
grouphosts = "^[1-9\.\-]*?\.([^0-9].*[a-zA-Z]*)$",$1 (partially resolved)
# unresolved hostnames
grouphosts = "^([1-9]*)\.([0-9]*)\.([0-9]*)\.",$1.$2.$3.x
